import sys

fnin1 = '/data/AlpArray_Data/fmtomo/v6/crust_incl_hf_sm_FIX_DTS_grad_sm30_dm10/it_12/vgrids.in'
fnin2 = '/data/AlpArray_Data/fmtomo/v6/crust_incl_hf_sm_FIX_TESAURO_grad_sm30_dm10/it_12/vgrids.in'
fnout = '/data/AlpArray_Data/fmtomo/v6/crust_incl_hf_sm_FIX_DTS_grad_sm30_dm10/vg_TES_i12sm30dm10.in'


def check_vgrids_header_line(l1, l2, epsilon=1e-6):
    items1 = [float(item) for item in l1.split()]
    items2 = [float(item) for item in l2.split()]
    for i1, i2 in zip(items1, items2):
        if not abs(i1 - i2) < epsilon:
            return False
    return True



def vgrids_diff(fnin1, fnin2, fnout):
    diffs = []
    with open(fnin1, 'r') as infile1:
        with open(fnin2, 'r') as infile2:
            with open(fnout, 'w') as outfile:
                for index, l1 in enumerate(infile1):
                    l2 = infile2.readline()
                    if index < 4:
                        assert check_vgrids_header_line(l1, l2), 'Different grid dimensions!'
                        outfile.write(l1)
                    else:
                        try:
                            v1 = float(l1.split()[0])
                            v2 = float(l2.split()[0])
                        except Exception as e:
                            print('Read problem: {}'.format(e))
                            sys.exit()
                        vdiff = abs(v2 - v1)
                        diffs.append(vdiff)
                        outfile.write('{}\n'.format(vdiff))

    print('Finished writing file', fnout)
    print('Max diff:', max(diffs))


vgrids_diff(fnin1, fnin2, fnout)
