#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import argparse

import matplotlib.pyplot as plt

def plot_otimes(otimes_fname):
    with open(otimes_fname, 'r') as infile:
        input_list = infile.readlines()[1:]
        ray_id = [int(line.split()[0]) for line in input_list]
        ttimes = [float(line.split()[-2]) for line in input_list]
        uncertainties = [float(line.split()[-1]) for line in input_list]
        plt.axhline(0, linestyle=':', color='k')
        plt.errorbar(ray_id, ttimes, yerr=uncertainties, fmt='o', markersize=1, ecolor='0.5', elinewidth=0.5)
        plt.show()



if __name__ == "__main__":
    parser = argparse.ArgumentParser(description='Plot ttimes with errors of FMTOMO file otimes.dat')
    parser.add_argument('infile', help='inputfile')

    args = parser.parse_args()

    plot_otimes(args.infile)